Description

Related issues:

Related to Database - Feature #3814: more schema metadata Closed

History

#1 - 08/08/2019 10:25 AM - Eric Faulhaber

FWD's current implementation of the _db metadata table is static, holding only information discovered at conversion. Apparently, this table can be

used at runtime to determine actively connected databases. To support this, we will need to rework the implementation to be "live", similar to the _lock

and _connect tables.

#2 - 10/15/2019 02:07 PM - Eric Faulhaber

- Subject changed from make _db metadata table aware of active connections to make certain metadata tables aware of live runtime state

Add to the list of metadata which must be made "live":

_file._can-create

_file._can-delete

_file._can-dump

_file._can-load

_file._can-read

_file._can-write

#3 - 04/18/2020 07:06 AM - Greg Shah

- Related to Feature #3814: more schema metadata added

#4 - 04/12/2021 09:12 AM - Greg Shah

How much of this task is already complete from the work done in #3814?

#5 - 06/02/2022 10:01 PM - Eric Faulhaber

Greg Shah wrote:

How much of this task is already complete from the work done in #3814?
It looks like none. I think in #3814 we just added static representations of all these fields, but they are not "live", like _lock, _connect, _usertablestat,

etc.

#6 - 07/15/2022 12:18 AM - Eric Faulhaber

- Assignee set to Igor Skornyakov
